<script lang="ts">
	import { page } from '$app/stores';

	export let label: string = '';
</script>

<button class={'group transition duration-300'} on:click>
	{label}
	<slot />
	<span
		class={'block max-w-0 group-hover:max-w-full transition-all duration-500 h-0.5 bg-primary-500'}
	/>
</button>
